# Uses of Class
org.eclipse.jdt.core.dom.AnnotationTypeMemberDeclaration

Packages that use AnnotationTypeMemberDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of AnnotationTypeMemberDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return AnnotationTypeMemberDeclaration
Modifier and Type
Method
Description
`AnnotationTypeMemberDeclaration`
AST.`newAnnotationTypeMemberDeclaration()`
Creates and returns a new unparented annotation type member declaration node for an unspecified, but legal, member name and type; no modifiers; no javadoc; and no default value.
Methods in org.eclipse.jdt.core.dom with parameters of type AnnotationTypeMemberDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(AnnotationTypeMemberDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(AnnotationTypeMemberDeclaration node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(AnnotationTypeMemberDeclaration node)`
Visits the given type-specific AST node.